
package masterthesis;

import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;


public class MasterThesis {
    
    public static void main(String[] args) throws FileNotFoundException, Exception{
        Scanner input = new Scanner(System.in);
               
        ArrayList<ArrayList<String>> icd = new ArrayList<>();
        ArrayList<ArrayList<String>> sct = new ArrayList<>();
       
        Preprocessing preprocessing;
        
        String filenameICD;
        String filenameSCT;
        
        int i = 0;
        for(double inf = Double.POSITIVE_INFINITY; i < inf; i++){
        
            System.out.println("Meny:");
            System.out.println(" 1. Preprocess data");
            System.out.println(" 2. Medical Compound splitter");
            System.out.println();
            System.out.println(" 5. End program");
            System.out.println();
            
            if (input.hasNextInt()) {
                int choice = input.nextInt();
                switch (choice) {
                    case 1:
                        System.out.println("Alternativ:");
                        System.out.println(" 1. Preprocess ICD");
                        System.out.println(" 2. Preprocess SCT");
                        System.out.println();
                        if (input.hasNextInt()) {
                            int choice1 = input.nextInt();
                            switch (choice1) {
                                case 1:
                                    String icd10 = "icd_unprocessed.txt"; 
                                    System.out.println("Name of result file: ");
                                    filenameICD= input.next()+".txt"; 
                                    preprocessing = new Preprocessing();
                                    preprocessing.normalizer(icd,icd10,filenameICD);
                                    break;
                                case 2: 
                                    System.out.println("Name of SCT-file: ");
                                    String snomedct = input.next()+ ".txt";
                                    System.out.println("Name of result file: ");
                                    filenameSCT = input.next()+".txt";
                                    preprocessing = new Preprocessing();
                                    preprocessing.normalizer(sct,snomedct,filenameSCT);
                                    break;
                                default:  
                                    break;
                            }
                        }
                    
                    case 2:
                        MedDeCompounder mdc= new MedDeCompounder();
                        mdc.connect();
                        break;
                    case 5:
                        System.exit(0);
                    default:
                        break;
                }
            }
        }
     
    }
}
